Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059166 - Guided rule editor fails to open a valid rule
Summary: Guided rule editor fails to open a valid rule
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 6.0.1
Assignee: manstis
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 10:46 UTC by Jorge Perez Bolano
Modified: 2014-08-06 19:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Guided Rule Editor fails to open a valid rule correctly even though the rule has passed validation and is valid in the GIT repository. The Editor may incorrectly remove some of the rule definitions or modify rule constructs incorrectly. Cause: Consequence: Fix: Result:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:57:01 UTC
Type: Bug


Attachments (Terms of Use)
Guided Rule (deleted)
2014-01-29 10:46 UTC, Jorge Perez Bolano
no flags Details

Description Jorge Perez Bolano 2014-01-29 10:46:35 UTC
Created attachment 857010 [details]
Guided Rule

Create a rule using the guided editor similar to:

package org.demo.gestionreservas;

rule "JorgeTest"
salience 10
dialect "mvel"
when
  reserva : Reserva( )
  itinerario : Itinerario( destino == "USA" ) from reserva.itinerarios
then
  reserva.setOnHold( "No" );
  update( reserva );
end

Attached an image of guided rule definition. The validation is ok and the rule is also OK in git. 

When you try to reload the guided rule, "itinerario : Itinerario( destino == "USA" )" is lost.

As you can see in the image there is also a minor error in the guided editor as there is no space between "from" and the entity. 



Version-Release number of selected component (if applicable):

BRMS CR2

Comment 2 Toni Rikkola 2014-01-31 12:36:33 UTC
test in master: https://github.com/droolsjbpm/drools/commit/dbf7158a1

Comment 3 Mario Fusco 2014-01-31 14:31:40 UTC
Fixed by https://github.com/droolsjbpm/drools/commit/f799d40bb

Reassigning to Toni to check that it works also in the guided editor.

Comment 5 Jiri Locker 2014-03-17 17:43:54 UTC
Very similar to (if not the same as) bug 1052313.

Works in ER2.


Note You need to log in before you can comment on or make changes to this bug.